--[[
**********************************
Licence: GPL
(c) 2013 rudi
v0.1.002 fuer Experten-Version 36 von tw_l-osd.lua
required CHDK 1.2 r.2453 or higher
**********************************

loader for tw_l-osd.lua.lua 
saving memory in ram
----------------------------------

@title Twil_LiveExp loader

!copy parameter from tw_l-osd.lua!

@param a aktuelles Datum?
@default a 1
@range a 0 1

@param y Jahr
@default y 1
@values y 2012 2013 2014 2015 2016

@param m Monat
@default m 0
@values m Jan Feb Mar Apr Mai Jun Jul Aug Sep Okt Nov Dez

@param d Tag
@default d 30
@range d 1 31

@param s Sommerzeit?
@default s 1
@range s 0 1

@param t Zeitzone in Min.?
@default t 14
@values t -660 -600 -540 -480 -420 -360 -300 -240 -210 -180 -150 -120 -60 0 60 120 180 210 240 270 300 330 345 360 390 420 480 540 57, 600 660 720 765

@param o 16:9-Anzeige?
@default o 0
@range o 0 1

@param x Speicher-Anzeige?
@default x 0
@range x 0 1

@param l StartDelay for draw msec
@default l 10
@values l 0 100 200 300 400 500 600 700 800 900 1000

@param z List Astronom. Twilight?
@default z 1
@values z Off On

@param u Start with SUN-LIVE-OSD?
@default u 0
@values u Off On

@param b Break OSD by SHOOT_HALF?
@default b 1
@values b Off On

@param v OSD: Override Charts?
@default v 0
@values v Off On

@param w OSD: Acoustic Feedback?
@default w 1
@values w Off On

@param p OSD: TimeStep +- by ZOOM
@default p 2
@values p 15min 30min 1h 2h 3h 6h 12h

@param r OSD: start Full/Reduced
@default r 0
@values r Full Reduced

@param q OSD: BlueHour/Nautic
@default q 1
@values q BlueHour Nautic

@param n OSD: Event-NightColors
@default n 0
@values n Uni Multi

@param c OSD: ColorProfile Grey
@default c 0
@values c NewCam OldCam
]]

--load script
local sub, err = loadfile("A/CHDK/SCRIPTS/tw_l-osd.lua")
--error if script not exist
assert(sub, err)
--set global vars for loaded script
setfenv (sub, _G)
--clean up memory before run script
collectgarbage()
--run script
sub()
